Get the credit balance
Read a wallet’s credits: total, blocked, and available.
GET
/
v1
/
credits
Get the credit balance
curl --request GET \
--url https://apis.tryflowy.ai/genstudio-svc-v2/api/v1/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://apis.tryflowy.ai/genstudio-svc-v2/api/v1/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apis.tryflowy.ai/genstudio-svc-v2/api/v1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workspaceId": "507f1f77bcf86cd799439011",
"credits": 5000,
"blockedCredits": 120,
"available": 4880
}
}{
"error": "this API key lacks the runs:write scope"
}{
"error": "this API key lacks the runs:write scope"
}{
"error": "this API key lacks the runs:write scope"
}Defaults to the key’s own wallet (for account-bound keys, your account wallet). Pass
workspace_id to read the balance of any workspace you can manage: ids come from List workspaces.Authorizations
A workspace API key. Secret keys (flowy_…) are server-side — keep them private. Publishable keys (flowy_pk_…) are browser-safe but only work from their allowlisted domains.
Query Parameters
Optional workspace id (from GET /v1/workspaces). Default: the key's own wallet.
Response
The workspace credit balance.
Show child attributes
Show child attributes
Last modified on August 29, 2026
Was this page helpful?
⌘I
Get the credit balance
